4 Replies Latest reply on Jul 25, 2010 2:14 AM by Sudhakar Pandey

    JBoss 5.1 Messaging  is not backward compatible

    Sudhakar Pandey Newbie

      With my client program, I tested following scenarios:

      1. Messaging Client 5.1 and Messaging Server 4.2.3

      Result: failed with java.io.InvalidClassException: org.jboss.jms.client.delegate.DelegateSupport; local class incompatible: stream classdesc serialVersionUID = 8005108339439737469, local class serialVersionUID = -1362079381836473747

       

      1. Messaging Client 1.0.1 SP4 and Messaging 5.1

      Result: failed with java.io.InvalidClassException: org.jboss.jms.client.delegate.DelegateSupport; local class incompatible: stream classdesc serialVersionUID …

       

      Looks like Messaging libraries that comes by default with JBoss 5.1 is not backward compatible.

       

      Regards,

      Sudhakar

       

      PS: All above testing was done using standalone client program. If someone suspects the test environment than let me know.